Subject: Re: linux-next: build warning from Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 20 Jul 2021 17:31:42 +1000

Hi all,

On Thu, 8 Jul 2021 12:25:44 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Tue, 1 Jun 2021 17:20:26 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > When building Linus' tree, today's linux-next build (htmldocs) produced
> > this warning:
> > 
> > include/linux/spi/spi.h:671: warning: Function parameter or member 'devm_allocated' not described in 'spi_controller'
> > 
> > Introduced by commit
> > 
> >   794aaf01444d ("spi: Fix use-after-free with devm_spi_alloc_*")
> > 
> > This has been around for a while (at least v5.13-rc1 and next-20210409).
> > Sorry I did not report it earlier.  
> 
> I am still getting this warning.

I am still getting this warning.  It is now on line 675.

-- 
Cheers,
Stephen Rothwell